Bug 1572826 - Review Request: python-Pallets-Sphinx-Themes - Sphinx themes for Pallets and related projects [NEEDINFO]
Summary: Review Request: python-Pallets-Sphinx-Themes - Sphinx themes for Pallets and ...
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1758659
TreeView+ depends on / blocked
 
Reported: 2018-04-28 00:58 UTC by Rick Elrod
Modified: 2019-11-20 07:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
zebob.m: fedora-review+
thomas.moschny: needinfo? (relrod)


Attachments (Terms of Use)

Description Rick Elrod 2018-04-28 00:58:14 UTC
Spec URL: https://codeblock.fedorapeople.org/packages/python-Pallets-Sphinx-Themes/python-Pallets-Sphinx-Themes.spec
SRPM URL: https://codeblock.fedorapeople.org/packages/python-Pallets-Sphinx-Themes/python-Pallets-Sphinx-Themes-1.0.0-1.fc27.src.rpm
Description: Pallets Sphinx Themes Themes for the Pallets projects.
Fedora Account System Username: codeblock

Comment 1 Robert-André Mauchin 🐧 2018-04-28 15:20:56 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* BSD (unspecified)". 49
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-Pallets-Sphinx-Themes/review-python-
     Pallets-Sphinx-Themes/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -Pallets-Sphinx-Themes , python3-Pallets-Sphinx-Themes
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-Pallets-Sphinx-Themes-1.0.0-1.fc29.noarch.rpm
          python3-Pallets-Sphinx-Themes-1.0.0-1.fc29.noarch.rpm
          python-Pallets-Sphinx-Themes-1.0.0-1.fc29.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 François Cami 2019-03-08 21:41:13 UTC
Hi Rick,
It looks like this was never built. 
Can you build?
Also I've noticed 1.1.3 was out.
Cheers

Comment 3 Rick Elrod 2019-06-18 15:01:52 UTC
Robert-André,

This one fell through the cracks but we still need it.

[rick@sapphire packages]$ fedpkg request-repo python-Pallets-Sphinx-Themes 1572826
Could not execute request_repo: The Bugzilla bug's review was approved over 60 days ago


Could you re-set fedora-review+ for me? (I will update it to the latest upstream release on import.)

Comment 4 Robert-André Mauchin 🐧 2019-06-18 15:31:41 UTC
Sure, reapproved.

Comment 5 Rick Elrod 2019-06-19 02:46:40 UTC
Thank you!

Comment 6 Igor Raits 2019-06-19 10:44:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-Pallets-Sphinx-Themes

Comment 7 Thomas Moschny 2019-10-05 07:00:00 UTC
I cannot find any import nor build. Could you please import and build?

This is needed e.g. for the (docs of the) latest version of jinja2.

Comment 8 Thomas Moschny 2019-10-20 08:21:23 UTC
Ping?

Comment 9 Miro Hrončok 2019-11-04 22:56:40 UTC
This has been built now.

Note that this will break with Python 3.10:

    %{python3_sitelib}/Pallets_Sphinx_Themes-%{version}-py?.?.egg-info

Comment 10 Rick Elrod 2019-11-04 23:08:34 UTC
Miro,

Whoops. I can try to fix that. In the meanwhile I've added python-sig to the package on src.fp.o with commit access. I hope that is okay.

Comment 11 Rick Elrod 2019-11-04 23:22:43 UTC
(In reply to Miro Hrončok from comment #9)
> This has been built now.
> 
> Note that this will break with Python 3.10:
> 
>     %{python3_sitelib}/Pallets_Sphinx_Themes-%{version}-py?.?.egg-info

Does this address the concern?
https://src.fedoraproject.org/rpms/python-Pallets-Sphinx-Themes/c/e9722c7cf4b493490def11a2c57014cc6d17c382?branch=master

Comment 12 Miro Hrončok 2019-11-05 00:09:04 UTC
Adding Python SIG is always appreciated with Python packages.

Yes, that commit fixes the problem, thanks!

Comment 13 Thomas Moschny 2019-11-09 12:01:02 UTC
As you built packages for F30 and F31, could you please also submit bodhi updates (and also buildroot overrides) for F30 and F31?

Comment 14 Thomas Moschny 2019-11-20 07:35:39 UTC
Ping?


Note You need to log in before you can comment on or make changes to this bug.